# Praktikumsblatt 1 - Heimlabor

## Aufgabe 1 - Installation von Ubuntu 20.04 auf der VM
Über das Netzlabor (https://netlab.inf.hochschule-bonn-rhein-sieg.de/) haben Sie eine virtuelle Maschine beantragt und erhalten.

- [X] Installieren Sie auf dieser Maschine Ubuntu 20.04.3. Verwenden Sie hierzu die iso ubuntu-20.04.3-live-server-amd64.iso, die auf dem Proxmoxserver bereitgestellt ist.
- [X] Als Servername wählen Sie moni21 , als Benutzername nehmen Sie Ihren Email-Kürzel (z.B. dmeier2s).
- [X] Wählen Sie bitte unbedingt ein gutes Passwort für den User Name.
- [X] Aktivieren Sie die Installation des OpenSSH-Server-Pakets (openssh-server package).
- [X] Nach dem Restart entfernen Sie die iso aus dem CD/DVD-Laufwerk.


## Aufgabe 2 - VM mit IPv6
- [X] Konfigurieren Sie über Proxmox oder über Hochschul-VPN mit Netplan das IPv6-Interface Ihrer VM. Ihre IPv6 Adresse finden Sie in in LEA unter folgendem Link. Als Router configurieren Sie:
- [X]  gateway6: "2001:638:408:200::1" .
- [X] Geben Sie den Inhalt Ihrer Konfiguratonsdatei /etc/netplan/00-installer-config.yaml an?
```
    # This is the network config written by 'subiquity'
    network:
     ethernets:
        ens18:
            addresses:
            - "2001:638:408:200:FC58::1/64"
            gateway6: "2001:638:408:200::1"
        ens19:
            dhcp4: true
    version: 2 
```
- [X] Testen Sie (nachdem Sie ssh eingerichtet haben, siehe Aufgabe 3), ob Sie über IPv6 mit ssh auf Ihre Maschine von außen zugreifen können.

 

## Aufgabe 3 - VM mit ssh
- [X] Erstellen Sie mit openssh und dem Kommando ssh-keygen ein RSA-Schlüsselpaar. (Moderne Alternative: ed25519-Schlüsselpaar.)
- [ ] Bringen Sie auf Ihren Server moni21 den öffentlichen Schlüssel für den user dmeier2s  in den File ~/.ssh/authorized_keys ein.
- [ ] Testen Sie den ssh-Zugriff über Public-Key-Authentifizierung. Wie haben Sie das gemacht?
- [ ] Schalten Sie für openssh die Passwortauthentifizierung ab. Hierzu müssen Sie die Datei /etc/ssh/sshd_config anpassen. Welche Zeile bzw. Zeilen mussten Sie hierfür angepassen?
- [ ] Testen Sie, dass die Passwortauthentifizierung tatsächlich abgeschaltet ist. Welche Fehlermeldung erhalten Sie bei einem Login-Versuch mit Passwort?

 

## Aufgabe 4 - VM Basiskonfiguration
- [ ] Passen Sie Ihre Installation so an, dass Sie auf Ihrem Server moni21 in gewohnter Weise arbeiten können. Konkret heißt das: Installation von Admin-Apps, Setzen von Alias, anpassen Command Prompt, ...
- [ ] Welche zusätzlichen Änderungen haben Sie vorgenommen?

 

## Aufgabe 5 - VM mit GIT
- [X] Installieren Sie GIT auf Ihrem Server moni21.
- [X] Richten Sie auf Ihrem Server moni21 im Verzeichnis ~/GIT/monitoring-ws21 den Zugriff auf Ihr Projekt im Free Software Labor Gitlab ein. Testen Sie den GIT-Zugriff.

 

## Aufgabe 6 - DNS
- [ ] Richten Sie Ihre Domäne - wenn Sie eine haben - so ein, dass sie auf Ihren Server zeigt.
- [ ] Testen Sie den Zugriff auf Ihren Server über die Domäne mit dem Ping-Kommando.

